package com.kingdee.eas.custom.performancenew;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractExamineGradePersonEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractExamineGradePersonEntryInfo()
    {
        this("id");
    }
    protected AbstractExamineGradePersonEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.performancenew.ExamineGradePersonInfo getParent()
    {
        return (com.kingdee.eas.custom.performancenew.ExamineGradePersonInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.performancenew.ExamineGradePersonInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 分录 's 部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrg");
    }
    public void setAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrg", item);
    }
    /**
     * Object: 分录 's 审核人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getAuditor()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("auditor");
    }
    public void setAuditor(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("auditor", item);
    }
    /**
     * Object: 分录 's 评分人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getScorer()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("scorer");
    }
    public void setScorer(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("scorer", item);
    }
    /**
     * Object:分录's 顺序property 
     */
    public int getIndex()
    {
        return getInt("index");
    }
    public void setIndex(int item)
    {
        setInt("index", item);
    }
    /**
     * Object:分录's 计算得分property 
     */
    public com.kingdee.eas.custom.performancenew.app.scoreEnum getScore()
    {
        return com.kingdee.eas.custom.performancenew.app.scoreEnum.getEnum(getString("score"));
    }
    public void setScore(com.kingdee.eas.custom.performancenew.app.scoreEnum item)
    {
		if (item != null) {
        setString("score", item.getValue());
		}
    }
    /**
     * Object:分录's 领导计算得分property 
     */
    public com.kingdee.eas.custom.performancenew.app.scoreEnum getScoreLeader()
    {
        return com.kingdee.eas.custom.performancenew.app.scoreEnum.getEnum(getString("scoreLeader"));
    }
    public void setScoreLeader(com.kingdee.eas.custom.performancenew.app.scoreEnum item)
    {
		if (item != null) {
        setString("scoreLeader", item.getValue());
		}
    }
    /**
     * Object:分录's 排序状态property 
     */
    public com.kingdee.eas.custom.performancenew.app.orderStatucEnum getOrderStatuc()
    {
        return com.kingdee.eas.custom.performancenew.app.orderStatucEnum.getEnum(getString("orderStatuc"));
    }
    public void setOrderStatuc(com.kingdee.eas.custom.performancenew.app.orderStatucEnum item)
    {
		if (item != null) {
        setString("orderStatuc", item.getValue());
		}
    }
    /**
     * Object:分录's 修改原因property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    /**
     * Object: 分录 's 组织绩效得分 property 
     */
    public com.kingdee.eas.custom.performancenew.PersonRelationOrgInfo getPerformanceScoreOrg()
    {
        return (com.kingdee.eas.custom.performancenew.PersonRelationOrgInfo)get("performanceScoreOrg");
    }
    public void setPerformanceScoreOrg(com.kingdee.eas.custom.performancenew.PersonRelationOrgInfo item)
    {
        put("performanceScoreOrg", item);
    }
    /**
     * Object:分录's 得分后人数property 
     */
    public String getAfterScoreNumMap()
    {
        return getString("afterScoreNumMap");
    }
    public void setAfterScoreNumMap(String item)
    {
        setString("afterScoreNumMap", item);
    }
    /**
     * Object:分录's 标准绩效得分property 
     */
    public java.math.BigDecimal getLastScore()
    {
        return getBigDecimal("lastScore");
    }
    public void setLastScore(java.math.BigDecimal item)
    {
        setBigDecimal("lastScore", item);
    }
    /**
     * Object:分录's 修正标准绩效得分property 
     */
    public java.math.BigDecimal getUpLastScore()
    {
        return getBigDecimal("upLastScore");
    }
    public void setUpLastScore(java.math.BigDecimal item)
    {
        setBigDecimal("upLastScore", item);
    }
    /**
     * Object:分录's 标准绩效等级property 
     */
    public com.kingdee.eas.custom.performancenew.app.scoreEnum getLastLevel()
    {
        return com.kingdee.eas.custom.performancenew.app.scoreEnum.getEnum(getString("lastLevel"));
    }
    public void setLastLevel(com.kingdee.eas.custom.performancenew.app.scoreEnum item)
    {
		if (item != null) {
        setString("lastLevel", item.getValue());
		}
    }
    /**
     * Object:分录's 修正标准绩效等级property 
     */
    public com.kingdee.eas.custom.performancenew.app.scoreEnum getUpLastLevel()
    {
        return com.kingdee.eas.custom.performancenew.app.scoreEnum.getEnum(getString("upLastLevel"));
    }
    public void setUpLastLevel(com.kingdee.eas.custom.performancenew.app.scoreEnum item)
    {
		if (item != null) {
        setString("upLastLevel", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("8FDCC2D4");
    }
}